RFKILL(8)

NAZWA
rfkill - narzędzie do włączania i wyłączania urządzeń bezprzewodowych

SKŁADNIA

rfkill [opcje] [polecenie] [ID|typ ...]

OPIS

rfkill wypisuje, włącza i wyłącza urządzenie bezprzewodowe.

Format wyjściowy polecenia "list" jest przestarzały i utrzymywany wyłącznie ze względu na kompatybilność wsteczną. Nowy format wyjściowy jest domyślny, gdy nie poda się żadnego polecenia lub gdy podano opcję --output.

Domyślne wyjście programu może się zmienić. Jeśli to możliwe, należy zatem unikać używania domyślnego wyjścia w swoich skryptach. Proszę zawsze jawnie definiować oczekiwane kolumny za pomocą opcji --output wraz listą kolumn, w środowiskach, gdzie wymagane jest stabilne wyjście.

OPCJE

-J, --json
    Używa formatu wyjściowego JSON.

-n, --noheadings
    Nie wypisuje nagłówka.

-o, --output
    Określa wypisywane kolumny. Ich listę można poznać podając opcję --help.

--output-all
    Wypisuje wszystkie dostępne kolumny.

-r, --raw
    Używa surowego formatu wyjściowego.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

POLECENIA

help
    Wyświetla ten tekst i wychodzi.

event
    Nasłuchuje zdarzeń rfkill i wyświetla je na standardowym wyjściu.

list [id|typ ...]
    Wypisuje bieżący stan wszystkich dostępnych urządzeń. Format wyjściowy polecenia jest przestarzały, zob. rozdział OPIS. Dobrym pomysłem jest sprawdzenia za pomocą polecenia list id lub typ, czy zakres jest prawidłowy, przed użyciem ustawienia block lub unblock. Specjalny łańcuch all dopasuje wszystko. Obsługiwane jest podanie wielu argumentów ID lub typ. Dopuszczalne typy to: all, {wlan | wifi}, bluetooth, {uwb | ultrawideband}, wimax, wwan, gps, fm, nfc.

block id|typ [...]
    Wyłącza dane urządzenie.

unblock id|typ [...]
    Włącza dane urządzenie. Jeśli dane urządzenie jest zablokowane na poziomie sprzętowym np. fizycznym przełącznikiem, pozostanie niedostępne, choć zostanie odblokowane na poziomie programowym.

toggle id|typ [...]
    Wyłącza lub wyłącza (przełącza) dane urządzenie.

PRZYKŁAD

      rfkill --output ID,TYPE
      rfkill block all
      rfkill unblock wlan
      rfkill block bluetooth uwb wimax wwan gps fm nfc

AUTORZY

rfkill zostało pierwotnie napisane przez i Kod zmodyfikował później oraz do projektu util-linux.

Niniejsza strona podręcznika została napisana przez do projektu Debian (i może być używana przez innych).

ZOBACZ TAKŻE

powertop(8), systemd-rfkill(8),

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie rfkill jest częścią pakietu util-linux, który można pobrać ze strony